| Home | Libraries | People | FAQ | More

## Struct template weighted_mean_impl

boost::accumulators::impl::weighted_mean_impl

## Synopsis

    // In header: <boost/accumulators/statistics_fwd.hpp>

    template<typename Sample, typename Weight, typename Tag>
    struct weighted_mean_impl : public accumulator_base {
      // construct/copy/destruct
      weighted_mean_impl(dont_care);

      // public member functions
      template<typename Args> result_type result(Args const &) const;
    };

## Description

### `weighted_mean_impl` public construct/copy/destruct

1.     weighted_mean_impl(dont_care);

### `weighted_mean_impl` public member functions

1.     template<typename Args> result_type result(Args const & args) const;